diff --git a/src/main/java/net/minecraft/server/entity/EntityTracker.java b/src/main/java/net/minecraft/server/entity/EntityTracker.java
index b8938e95c..e4229ae8e 100644
--- a/src/main/java/net/minecraft/server/entity/EntityTracker.java
+++ b/src/main/java/net/minecraft/server/entity/EntityTracker.java
@@ -24,12 +24,12 @@ import net.minecraft.core.net.packet.Packet;
 public class EntityTracker
 {
 
-    public EntityTracker(MinecraftServer minecraftserver, int i)
+    public EntityTracker(MinecraftServer minecraftserver, int dimId)
     {
-        trackedEntitySet = new HashSet();
-        trackedEntityHashTable = new IdHashMap();
+        trackedEntitySet = new HashSet<>();
+        trackedEntityHashTable = new IdHashMap<>();
         mcServer = minecraftserver;
-        field_28113_e = i;
+        dimension = dimId;
         maxTrackingDistanceThreshold = minecraftserver.playerList.getMaxTrackingDistance();
     }
 
@@ -39,14 +39,14 @@ public class EntityTracker
         {
             trackEntity(entity, 512, 2, false);
             EntityPlayerMP entityplayermp = (EntityPlayerMP)entity;
-            Iterator iterator = trackedEntitySet.iterator();
+            Iterator<EntityTrackerEntry> iterator = trackedEntitySet.iterator();
             do
             {
                 if(!iterator.hasNext())
                 {
                     break;
                 }
-                EntityTrackerEntry entitytrackerentry = (EntityTrackerEntry)iterator.next();
+                EntityTrackerEntry entitytrackerentry = iterator.next();
                 if(entitytrackerentry.trackedEntity != entityplayermp)
                 {
                     entitytrackerentry.updatePlayerEntity(entityplayermp);
@@ -133,8 +133,7 @@ public class EntityTracker
             EntityTrackerEntry entitytrackerentry = new EntityTrackerEntry(entity, trackingDistance, packetDelay, shouldSendMotionUpdates);
             trackedEntitySet.add(entitytrackerentry);
             trackedEntityHashTable.add(entity.id, entitytrackerentry);
-            entitytrackerentry.updatePlayerEntities(mcServer.getDimensionWorld(field_28113_e).players);
-            return;
+            entitytrackerentry.updatePlayerEntities(mcServer.getDimensionWorld(dimension).players);
         }
     }
 
@@ -144,13 +143,13 @@ public class EntityTracker
         {
             EntityPlayerMP entityplayermp = (EntityPlayerMP)entity;
             EntityTrackerEntry entitytrackerentry1;
-            for(Iterator iterator = trackedEntitySet.iterator(); iterator.hasNext(); entitytrackerentry1.removeFromTrackedPlayers(entityplayermp))
+            for(Iterator<EntityTrackerEntry> iterator = trackedEntitySet.iterator(); iterator.hasNext(); entitytrackerentry1.removeFromTrackedPlayers(entityplayermp))
             {
-                entitytrackerentry1 = (EntityTrackerEntry)iterator.next();
+                entitytrackerentry1 = iterator.next();
             }
 
         }
-        EntityTrackerEntry entitytrackerentry = (EntityTrackerEntry)trackedEntityHashTable.remove(entity.id);
+        EntityTrackerEntry entitytrackerentry = trackedEntityHashTable.remove(entity.id);
         if(entitytrackerentry != null)
         {
             trackedEntitySet.remove(entitytrackerentry);
@@ -160,33 +159,33 @@ public class EntityTracker
 
     public void tick()
     {
-        ArrayList arraylist = new ArrayList();
-        Iterator iterator = trackedEntitySet.iterator();
+        ArrayList<Entity> arraylist = new ArrayList<>();
+        Iterator<EntityTrackerEntry> iterator = trackedEntitySet.iterator();
         do
         {
             if(!iterator.hasNext())
             {
                 break;
             }
-            EntityTrackerEntry entitytrackerentry = (EntityTrackerEntry)iterator.next();
-            entitytrackerentry.tick(mcServer.getDimensionWorld(field_28113_e).players);
+            EntityTrackerEntry entitytrackerentry = iterator.next();
+            entitytrackerentry.tick(mcServer.getDimensionWorld(dimension).players);
             if(entitytrackerentry.playerEntitiesUpdated && (entitytrackerentry.trackedEntity instanceof EntityPlayerMP))
             {
-                arraylist.add((EntityPlayerMP)entitytrackerentry.trackedEntity);
+                arraylist.add(entitytrackerentry.trackedEntity);
             }
         } while(true);
 label0:
         for(int i = 0; i < arraylist.size(); i++)
         {
             EntityPlayerMP entityplayermp = (EntityPlayerMP)arraylist.get(i);
-            Iterator iterator1 = trackedEntitySet.iterator();
+            Iterator<EntityTrackerEntry> iterator1 = trackedEntitySet.iterator();
             do
             {
                 if(!iterator1.hasNext())
                 {
                     continue label0;
                 }
-                EntityTrackerEntry entitytrackerentry1 = (EntityTrackerEntry)iterator1.next();
+                EntityTrackerEntry entitytrackerentry1 = iterator1.next();
                 if(entitytrackerentry1.trackedEntity != entityplayermp)
                 {
                     entitytrackerentry1.updatePlayerEntity(entityplayermp);
@@ -198,7 +197,7 @@ label0:
 
     public void sendPacketToTrackedPlayers(Entity entity, Packet packet)
     {
-        EntityTrackerEntry entitytrackerentry = (EntityTrackerEntry)trackedEntityHashTable.get(entity.id);
+        EntityTrackerEntry entitytrackerentry = trackedEntityHashTable.get(entity.id);
         if(entitytrackerentry != null)
         {
             entitytrackerentry.sendPacketToTrackedPlayers(packet);
@@ -207,7 +206,7 @@ label0:
 
     public void sendPacketToTrackedPlayersAndTrackedEntity(Entity entity, Packet packet)
     {
-        EntityTrackerEntry entitytrackerentry = (EntityTrackerEntry)trackedEntityHashTable.get(entity.id);
+        EntityTrackerEntry entitytrackerentry = trackedEntityHashTable.get(entity.id);
         if(entitytrackerentry != null)
         {
             entitytrackerentry.sendPacketToTrackedPlayersAndTrackedEntity(packet);
@@ -217,16 +216,16 @@ label0:
     public void removeTrackedPlayerSymmetric(EntityPlayerMP entityplayermp)
     {
         EntityTrackerEntry entitytrackerentry;
-        for(Iterator iterator = trackedEntitySet.iterator(); iterator.hasNext(); entitytrackerentry.removeTrackedPlayerSymmetric(entityplayermp))
+        for(Iterator<EntityTrackerEntry> iterator = trackedEntitySet.iterator(); iterator.hasNext(); entitytrackerentry.removeTrackedPlayerSymmetric(entityplayermp))
         {
-            entitytrackerentry = (EntityTrackerEntry)iterator.next();
+            entitytrackerentry = iterator.next();
         }
 
     }
 
-    private Set trackedEntitySet;
-    private IdHashMap trackedEntityHashTable;
-    private MinecraftServer mcServer;
-    private int maxTrackingDistanceThreshold;
-    private int field_28113_e;
+    private final Set<EntityTrackerEntry> trackedEntitySet;
+    private final IdHashMap<EntityTrackerEntry> trackedEntityHashTable;
+    private final MinecraftServer mcServer;
+    private final int maxTrackingDistanceThreshold;
+    private final int dimension;
 }
diff --git a/src/main/java/net/minecraft/server/entity/player/EntityPlayerMP.java b/src/main/java/net/minecraft/server/entity/player/EntityPlayerMP.java
index e3beb7d28..5ffdfc737 100644
--- a/src/main/java/net/minecraft/server/entity/player/EntityPlayerMP.java
+++ b/src/main/java/net/minecraft/server/entity/player/EntityPlayerMP.java
@@ -63,12 +63,7 @@ import java.util.Set;
 //            Packet105UpdateProgressbar, Packet101CloseWindow, StatBase, Packet200Statistic, 
 //            StringTranslate, Packet3Chat
 
-public class EntityPlayerMP extends EntityPlayer
-        implements ICrafting
-{
-
-    public static final TextFormatting deathMsgColor = TextFormatting.RED;
-
+public class EntityPlayerMP extends EntityPlayer implements ICrafting {
     public EntityPlayerMP(MinecraftServer minecraftserver, World world, String s, ServerPlayerController iteminworldmanager)
     {
         super(world);
@@ -266,157 +261,6 @@ public class EntityPlayerMP extends EntityPlayer
         }
     }
 
-    private String deathMessage(Entity entity)
-    {
-        if (random.nextInt(8000) == 666)
-        {
-            return getDisplayName() + deathMsgColor + " was killed by Herobrine.";
-        }
-        if (entity instanceof EntityZombie)
-        {
-            if (entity instanceof EntityPigZombie)
-            {
-                return getDisplayName() + deathMsgColor + " discovered mob mentality.";
-            }
-            else
-            {
-                return getDisplayName() + deathMsgColor + " became a zombie.";
-            }
-        }
-        if (entity instanceof EntityCreeper)
-        {
-            return deathMsgColor + "Aw man, " + getDisplayName() + deathMsgColor + " didn't see the creeper.";
-        }
-        if (entity instanceof EntitySkeleton)
-        {
-            return getDisplayName() + deathMsgColor + " was a victim of aimbot.";
-        }
-        if (entity instanceof EntitySpider)
-        {
-            return getDisplayName() + deathMsgColor + " spent too much time on the web.";
-        }
-        if (entity instanceof EntityGhast)
-        {
-            return getDisplayName() + deathMsgColor + " didn't return the serve.";
-        }
-        if (entity instanceof EntitySlime)
-        {
-            return getDisplayName() + deathMsgColor + " was slimed.";
-        }
-        if (entity instanceof EntityWolf)
-        {
-            return getDisplayName() + deathMsgColor + " got what they deserved.";
-        }
-        if (entity instanceof EntityArrowGolden)
-        {
-            if (((EntityArrowGolden) entity).owner instanceof EntityPlayerMP)
-            {
-                if (((EntityPlayerMP) ((EntityArrowGolden) entity).owner).username.equals(username))
-                {
-                    return getDisplayName() + deathMsgColor + " got gold in their eye.";
-                }
-                return getDisplayName() + deathMsgColor + " got pierced by " +
-                    ((EntityArrow) entity).owner.getDisplayName() + deathMsgColor + ".";
-            }
-            else
-            {
-                return getDisplayName() + deathMsgColor + " is Swiss cheese.";
-            }
-        }
-        if (entity instanceof EntityArrow)
-        {
-            if (((EntityArrow) entity).owner instanceof EntitySkeleton)
-            {
-                return getDisplayName() + deathMsgColor + " was a victim of aimbot.";
-            }
-            else if (((EntityArrow) entity).owner instanceof EntityPlayerMP)
-            {
-                if (((EntityPlayerMP) ((EntityArrow) entity).owner).username.equals(username))
-                {
-                    return getDisplayName() + deathMsgColor + " lost a game of Russian roulette.";
-                }
-                return getDisplayName() + deathMsgColor + " got 360 noscoped by " +
-                    ((EntityArrow) entity).owner.getDisplayName() + deathMsgColor + ".";
-            }
-            else
-            {
-                return getDisplayName() + deathMsgColor + " is a pincushion.";
-            }
-        }
-        if (entity instanceof EntityCannonball)
-        {
-            if (((EntityCannonball) entity).owner instanceof EntityPlayerMP)
-            {
-                if (((EntityPlayerMP) ((EntityCannonball) entity).owner).username.equals(username))
-                {
-                    return getDisplayName() + deathMsgColor + " jumped too high.";
-                }
-                return getDisplayName() + deathMsgColor + " was fragmented by " +
-                    ((EntityCannonball) entity).owner.getDisplayName() + deathMsgColor + ".";
-            }
-            else
-            {
-                return getDisplayName() + deathMsgColor + " was detonated remotely.";
-            }
-        }
-        if (entity instanceof EntityFireball)
-        {
-            return getDisplayName() + deathMsgColor + " didn't return the serve.";
-        }
-        if (entity instanceof EntityGiant)
-        {
-            return getDisplayName() + deathMsgColor + " was killed by- wait, what?!";
-        }
-        if (entity instanceof EntityLightningBolt)
-        {
-            return getDisplayName() + deathMsgColor + " was grounded.";
-        }
-        if (entity instanceof EntityTNT)
-        {
-            return getDisplayName() + deathMsgColor + " was killed by Popbob.";
-        }
-        if (entity instanceof EntityPlayerMP)
-        {
-            return getDisplayName() + deathMsgColor + " was backstabbed by " + ((EntityPlayerMP) entity).getDisplayName() + deathMsgColor + ".";
-        }
-        if (entity instanceof EntityPig)
-        {
-            return getDisplayName() + deathMsgColor + " is *really* bad at Minecraft.";
-        }
-        else
-        {
-            if (world.getBlockMaterial(MathHelper.floor_double(x), MathHelper.floor_double(y), MathHelper.floor_double(z)) == Material.lava)
-            {
-                return getDisplayName() + deathMsgColor + " got lost in the sauce.";
-            }
-            if (world.getBlockId(MathHelper.floor_double(x), MathHelper.floor_double(y), MathHelper.floor_double(z)) == Block.spikes.id)
-            {
-                return getDisplayName() + deathMsgColor + " fell for the trap.";
-            }
-            if (fallDistance > 0)
-            {
-                return getDisplayName() + deathMsgColor + " forgot to tie their laces.";
-            }
-            if (airSupply <= 0)
-            {
-                return getDisplayName() + deathMsgColor + " is sleeping with the fishes.";
-            }
-            if (remainingFireTicks > 0)
-            {
-                return getDisplayName() + deathMsgColor + " was cooked well done.";
-            }
-            return getDisplayName() + deathMsgColor + " died mysteriously.";
-        }
-
-    }
-
-    @Override
-	public void onDeath(Entity entity)
-    {
-        super.onDeath(entity);
-        mcServer.playerList.sendPacketToAllPlayers(new Packet3Chat(deathMessage(entity)));
-    }
-
     @Override
     public boolean hurt(Entity attacker, int i, DamageType type)
     {
diff --git a/src/main/java/net/minecraft/server/net/handler/NetServerHandler.java b/src/main/java/net/minecraft/server/net/handler/NetServerHandler.java
index 6e1ec53c4..a1bc39d45 100644
--- a/src/main/java/net/minecraft/server/net/handler/NetServerHandler.java
+++ b/src/main/java/net/minecraft/server/net/handler/NetServerHandler.java
@@ -691,7 +691,7 @@ public class NetServerHandler extends NetHandler
     public void handleUseEntity(Packet7UseEntity packet)
     {
         WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
-        Entity targetEntity = worldserver.func_6158_a(packet.targetEntity);
+        Entity targetEntity = worldserver.getEntityFromId(packet.targetEntity);
         if (targetEntity != null && playerEntity.distanceToSqr(targetEntity) < 36D)
         {
             boolean canAttack = playerEntity.canEntityBeSeen(targetEntity);
diff --git a/src/main/java/net/minecraft/server/world/WorldServer.java b/src/main/java/net/minecraft/server/world/WorldServer.java
index 301fe38db..51f4021fe 100644
--- a/src/main/java/net/minecraft/server/world/WorldServer.java
+++ b/src/main/java/net/minecraft/server/world/WorldServer.java
@@ -20,7 +20,6 @@ import net.minecraft.server.world.chunk.provider.ChunkProviderServer;
 import net.minecraft.core.world.save.LevelStorage;
 import net.minecraft.core.world.type.WorldType;
 import net.minecraft.server.MinecraftServer;
-import org.lwjgl.Sys;
 
 // Referenced classes of package net.minecraft.src:
 //            World, WorldProvider, MCHash, EntityAnimal, 
@@ -37,7 +36,7 @@ public class WorldServer extends World
     {
         super(isavehandler, name, seed, Dimension.getDimensionList().get(dimensionId), worldType);
         field_819_z = false;
-        field_20912_E = new IdHashMap();
+        entityIdHashMap = new IdHashMap<>();
         mcServer = minecraftserver;
     }
 
@@ -48,7 +47,7 @@ public class WorldServer extends World
         {
             entity.remove();
         }
-        if(entity.passenger == null || !(entity.passenger instanceof EntityPlayer))
+        if(!(entity.passenger instanceof EntityPlayer))
         {
             super.updateEntityWithOptionalForce(entity, flag);
         }
@@ -69,10 +68,10 @@ public class WorldServer extends World
 
     public List<TileEntity> getTileEntityList(int i, int j, int k, int l, int i1, int j1)
     {
-        ArrayList arraylist = new ArrayList();
+        ArrayList<TileEntity> arraylist = new ArrayList<>();
         for(int k1 = 0; k1 < loadedTileEntityList.size(); k1++)
         {
-            TileEntity tileentity = (TileEntity)loadedTileEntityList.get(k1);
+            TileEntity tileentity = loadedTileEntityList.get(k1);
             if(tileentity.x >= i && tileentity.y >= j && tileentity.z >= k && tileentity.x < l && tileentity.y < i1 && tileentity.z < j1)
             {
                 arraylist.add(tileentity);
@@ -99,7 +98,7 @@ public class WorldServer extends World
     {
         super.obtainEntitySkin(entity);
         if (entity == null) return;
-        field_20912_E.add(entity.id, entity);
+        entityIdHashMap.add(entity.id, entity);
     }
 
     @Override
@@ -107,7 +106,7 @@ public class WorldServer extends World
     {
         super.releaseEntitySkin(entity);
         if (entity == null) return;
-        field_20912_E.remove(entity.id);
+        entityIdHashMap.remove(entity.id);
     }
 
     @Override
@@ -175,9 +174,9 @@ public class WorldServer extends World
 
     }
 
-    public Entity func_6158_a(int i)
+    public Entity getEntityFromId(int i)
     {
-        return (Entity)field_20912_E.get(i);
+        return entityIdHashMap.get(i);
     }
 
     @Override
@@ -214,32 +213,28 @@ public class WorldServer extends World
     }
 
     @Override
-    public Explosion createExplosion(Entity entity, double d, double d1, double d2,
-                                     float f)
-    {
-        return newExplosion(entity, d, d1, d2, f, false, false);
+    public Explosion createExplosion(Entity entity, double x, double y, double z, float explosionSize) {
+        return newExplosion(entity, x, y, z, explosionSize, false, false);
     }
 
     @Override
-    public Explosion newExplosion(Entity entity, double d, double d1, double d2,
-                                  float f, boolean flag, boolean isCannonBall)
-    {
+    public Explosion newExplosion(Entity entity, double x, double y, double z, float explosionSize, boolean flaming, boolean isCannonBall) {
         Explosion explosion;
         if(!isCannonBall)
-            explosion = new Explosion(this, entity, d, d1, d2, f);
+            explosion = new Explosion(this, entity, x, y, z, explosionSize);
         else
-            explosion = new ExplosionCannonball(this, entity, d, d1, d2, f);
-        explosion.isFlaming = flag;
+            explosion = new ExplosionCannonball(this, entity, x, y, z, explosionSize);
+        explosion.isFlaming = flaming;
         explosion.doExplosionA();
         explosion.doExplosionB(true);
-        mcServer.playerList.sendPacketToPlayersAroundPoint(d, d1, d2, 64D, dimension.id, new Packet60Explosion(d, d1, d2, f, explosion.destroyedBlockPositions, isCannonBall));
+        mcServer.playerList.sendPacketToPlayersAroundPoint(x, y, z, 64D, dimension.id, new Packet60Explosion(x, y, z, explosionSize, explosion.destroyedBlockPositions, isCannonBall));
         return explosion;
     }
     @Override
-    public void triggerEvent(int i, int j, int k, int index, int data)
+    public void triggerEvent(int x, int y, int z, int index, int data)
     {
-        super.triggerEvent(i, j, k, index, data);
-        mcServer.playerList.sendPacketToPlayersAroundPoint(i, j, k, 64D, dimension.id, new Packet54PlayNoteBlock(i, j, k, index, data));
+        super.triggerEvent(x, y, z, index, data);
+        mcServer.playerList.sendPacketToPlayersAroundPoint(x, y, z, 64D, dimension.id, new Packet54PlayNoteBlock(x, y, z, index, data));
     }
 
     public void func_30006_w()
@@ -256,11 +251,15 @@ public class WorldServer extends World
             lastWeatherSend = System.currentTimeMillis();
         }
     }
+    @Override
+    public void sendGlobalMessage(String message){
+        mcServer.playerList.sendPacketToAllPlayers(new Packet3Chat(message));
+    }
 
     public ChunkProviderServer chunkProviderServer;
     public boolean field_819_z;
     public boolean levelSaving;
     public MinecraftServer mcServer;
-    private final IdHashMap field_20912_E;
+    private final IdHashMap<Entity> entityIdHashMap;
     private long lastWeatherSend = System.currentTimeMillis();
 }
